unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Mojkomponent, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    MojKomponent1: TMojKomponent;
    MojKomponent2: TMojKomponent;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
 if MojKomponent1.zazn then label1.Caption:='Komponent zaznaczony'
  else Label1.Caption:='Komponent niezaznaczony';
  if MojKomponent2.zazn then label2.Caption:='Komponent zaznaczony'
  else Label2.Caption:='Komponent niezaznaczony';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   MojKomponent1.zazn:=true;
   MojKomponent2.zazn:=true;
end;

end.
